+++
title = "The Zone"
template = "the-zone.html"
date = "2025-06-12"
updated = "2025-06-12"
+++

## Broken Gate

The gravel road passes along a rusty fence, charged with preventing passage
into the large stretch of land, with dry grass and thorny bushes.
Neither are very good at their jobs though.
The road isn’t maintained, and one couldn’t pass there comfortably with a road
bike.
A gravel bike, or a mountain bike would be a much better choice.
As for the fence, there are numerous holes at the bottom, letting foxes and
deers pass freely.
Besides, the lock on the gate has been cut done for a long time, and it is now
wide open.
Under the blue sky, with the faintest traces of clouds, it is quite an
invitation to step out of the road, and go exploring.

## Brown Shack

A couple hundred meters from the [broken gate](#broken-gate) stands a small
wooden cabin.
The paint isn’t fresh, but the colour hasn’t entirely disappeared yet.
It’s a rusty brown and it pairs nicely with the greyish wood seen below.
Speaking of, there’s also an apple tree, growing a couple meters from the
shack.
The apples are not yet ripe.
They could be a nice snack in autumn.

## Fendrex Center

North of Avenville, in the industrial park near the [Great Ridge
supermarket](#great-ridge-supermarket) is where Fendrex had once established a
minor plastic injection factory.
It was once used to produce various designs, from beach toys to car
accessories.
Business has stopped decades ago, and after sitting unused for a while, a few
families have finally moved in.
They’ve repurposed the office rooms as bedrooms, and the large area, which
once housed the production lines, has been partitioned into several communal
spaces with sheets of fabric.
Liam Ashfalls is the latest to have come upon this place.
He’s a traveller, a ranger who roams the Zone, bringing the latest news and
tales to those he meets.
In exchange for food and a place to live, he’s participating in the daily
labour here.
There’s meals to cook, laundry to make, floors to sweep and a roof garden to
tend.
This suits Liam well.
While doing these chores, he gets to talk to the inhabitants, both sharing his
knowledge and learning more.
Auntie Carol, who’s lived in the city all her life, tells him a lot about the
history of the neighbourhood.
She has always known it as an industrial place.
However, when she was young, it was mostly a patchwork of small tenements and
factories.
However, during the rise of the conglomerates, as many companies merged or
absorbed smaller ones, the factories grew, and bought the tenements to
demolish them and make space for their business.
Carol had to move elsewhere, but she found her way back as a Human Resource
Manager, first for Globalia, then for a few others.
She developed a bad cough then.
Datacenter grew in computing power, straining the aging power grid.
The council did several overhaul, but never fast enough for the tech giants.
In the end, they installed gas turbines, mostly illegally without due permit.
These operated in the cheapest way possible, with no filter, and no air
quality control.
Stable bribes ensured they were never investigated.
Fortunately, one too many crises had seen the era of monopolies come to an
end, and with it, the slow rewilding of the area.

## Great Ridge Supermarket

Once in a while, the Supermarket in Great Ridge had been a place teeming with
people during the day, and utterly desert at night.
Now, it’s always deserted.
It’s not without reason, as it is one of the most dangerous place of Fendrex.
An <abbr title="Autonomous Medium Breacher">AMB</abbr>-48b, a robot equipped with a small fusion reactor is still following
orders to clear the area.
While it’s contractor, Qualis, has long since ceased existing, due to a
technical glitch, the orders couldn’t be cancelled.
The AMB had killed every insurgent in the building in a matter of hours, but
Qualis couldn’t get it to stop.
While Qualis operators should have been classified as friends, and allowed to
manually intervene, it seemed like a localized <abbr title="ElectroMagnetic
Pulse">EMP</abbr> had damaged its fine electronics, and it appears than AMB
now consider any human as being a foe.

## A Lengthy Tree

Below the horizon, where ends meet beets, lie the greatest of all.
He Who Is Yet To Be Named, Hero of the Alpharion, Megalus Altimor Exemplar.
Yet he lives, and few have seen a sight more bitter and strange.
Therefore we should focus on earning the right to wear earings made of glass.
Indeed large machine language models have been developed to be not of sort,
but of matter.
What if we could have it with fun ?
It would certainly be an interesting choice of words.
Nobody knows whether the half time of length has any pike installed in the
poster.

